#!/usr/bin/env python
# vim:fileencoding=UTF-8:ts=4:sw=4:sta:et:sts=4:fdm=marker:ai
from __future__ import (unicode_literals, division, absolute_import,
                        print_function)

__license__   = 'GPL v3'
__copyright__ = '2012, Kovid Goyal <kovid at kovidgoyal.net>'
__docformat__ = 'restructuredtext en'

from PyQt4.Qt import (QMainWindow, QSplitter, QApplication, QLabel,
        QWebView)

app = QApplication([])
app

class MW(QMainWindow):

    def __init__(self):
        QMainWindow.__init__(self)
        self.s = s = QSplitter()
        self.setCentralWidget(s)
        self.addToolBar('test').setObjectName('one')
        self.addToolBar('test2').setObjectName('two')
        s.addWidget(QLabel('one'))
        s.addWidget(QLabel('two'))
        self.s2 = s2 = QSplitter()
        s.addWidget(s2)
        self.v = v = QWebView()
        s2.addWidget(v)
        v.page().mainFrame().setHtml('<body>hello</body>')

    def closeEvent(self, e):
        print (1111111, bytearray(self.saveState(1)))
        e.accept()

m = MW()
m.show()
app.exec_()

